License Manager Get Licenses

License Manager Get Licenses
Get information about all the licenses available.

Get information about all the licenses available.

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/LicenseManager/{moId}/licenses
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case LicenseManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "licenseKey": "string",
        "editionKey": "string",
        "name": "string",
        "total": 0,
        "used": 0,
        "costUnit": "string",
        "properties": [
            {
                "_typeName": "string",
                "key": "string",
                "value": {
                    "_typeName": "string"
                }
            }
        ],
        "labels": [
            {
                "_typeName": "string",
                "key": "string",
                "value": "string"
            }
        ]
    }
]
array of object
Optional

Encapsulates information about a license


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/LicenseManager/{moId}/licenses